
package b4a.HC05DataLogger;

import java.io.IOException;
import anywheresoftware.b4a.BA;
import anywheresoftware.b4a.pc.PCBA;
import anywheresoftware.b4a.pc.RDebug;
import anywheresoftware.b4a.pc.RemoteObject;
import anywheresoftware.b4a.pc.RDebug.IRemote;
import anywheresoftware.b4a.pc.Debug;
import anywheresoftware.b4a.pc.B4XTypes.B4XClass;
import anywheresoftware.b4a.pc.B4XTypes.DeviceClass;

public class main implements IRemote{
	public static main mostCurrent;
	public static RemoteObject processBA;
    public static boolean processGlobalsRun;
    public static RemoteObject myClass;
    public static RemoteObject remoteMe;
	public main() {
		mostCurrent = this;
	}
    public RemoteObject getRemoteMe() {
        return remoteMe;    
    }
    
	public static void main (String[] args) throws Exception {
		new RDebug(args[0], Integer.parseInt(args[1]), Integer.parseInt(args[2]), args[3]);
		RDebug.INSTANCE.waitForTask();

	}
    static {
        anywheresoftware.b4a.pc.RapidSub.moduleToObject.put(new B4XClass("main"), "b4a.HC05DataLogger.main");
	}

public boolean isSingleton() {
		return true;
	}
     public static RemoteObject getObject() {
		return myClass;
	 }

	public RemoteObject activityBA;
	public RemoteObject _activity;
    private PCBA pcBA;

	public PCBA create(Object[] args) throws ClassNotFoundException{
		processBA = (RemoteObject) args[1];
		activityBA = (RemoteObject) args[2];
		_activity = (RemoteObject) args[3];
        anywheresoftware.b4a.keywords.Common.Density = (Float)args[4];
        remoteMe = (RemoteObject) args[5];
		pcBA = new PCBA(this, main.class);
        main_subs_0.initializeProcessGlobals();
		return pcBA;
	}
public static RemoteObject __c = RemoteObject.declareNull("anywheresoftware.b4a.keywords.Common");
public static RemoteObject _rp = RemoteObject.declareNull("anywheresoftware.b4a.objects.RuntimePermissions");
public static RemoteObject _bta = RemoteObject.declareNull("b4a.HC05DataLogger.bluetoothasynchstream");
public static RemoteObject _tbtled = RemoteObject.declareNull("anywheresoftware.b4a.objects.CompoundButtonWrapper.ToggleButtonWrapper");
public static RemoteObject _lblstatus = RemoteObject.declareNull("anywheresoftware.b4a.objects.LabelWrapper");
public static RemoteObject _progressbar1 = RemoteObject.declareNull("anywheresoftware.b4a.objects.ProgressBarWrapper");
public static RemoteObject _btnconnect = RemoteObject.declareNull("anywheresoftware.b4a.objects.ButtonWrapper");
public static RemoteObject _lblmessage = RemoteObject.declareNull("anywheresoftware.b4a.objects.LabelWrapper");
public static RemoteObject _pnldisplay = RemoteObject.declareNull("anywheresoftware.b4a.objects.PanelWrapper");
public static RemoteObject _cvsdisplay = RemoteObject.declareNull("anywheresoftware.b4a.objects.drawable.CanvasWrapper");
public static RemoteObject _value = RemoteObject.createImmutable(0);
public static RemoteObject _counter = RemoteObject.createImmutable(0);
public static RemoteObject _xstep = RemoteObject.createImmutable(0);
public static RemoteObject _scale = RemoteObject.createImmutable(0);
public static RemoteObject _x0 = RemoteObject.createImmutable(0);
public static RemoteObject _y0 = RemoteObject.createImmutable(0);
public static RemoteObject _x1 = RemoteObject.createImmutable(0);
public static RemoteObject _y1 = RemoteObject.createImmutable(0);
public static RemoteObject _rectdisplay = RemoteObject.declareNull("anywheresoftware.b4a.objects.drawable.CanvasWrapper.RectWrapper");
public static RemoteObject _rectval = RemoteObject.declareNull("anywheresoftware.b4a.objects.drawable.CanvasWrapper.RectWrapper");
public static RemoteObject _devicename = RemoteObject.createImmutable("");
public static RemoteObject _connected = RemoteObject.createImmutable(false);
public static b4a.HC05DataLogger.starter _starter = null;
  public Object[] GetGlobals() {
		return new Object[] {"Activity",main.mostCurrent._activity,"BTA",main.mostCurrent._bta,"btnConnect",main.mostCurrent._btnconnect,"Connected",main._connected,"Counter",main._counter,"cvsDisplay",main.mostCurrent._cvsdisplay,"DeviceName",main.mostCurrent._devicename,"lblMessage",main.mostCurrent._lblmessage,"lblStatus",main.mostCurrent._lblstatus,"pnlDisplay",main.mostCurrent._pnldisplay,"ProgressBar1",main.mostCurrent._progressbar1,"rectDisplay",main.mostCurrent._rectdisplay,"rectVal",main.mostCurrent._rectval,"rp",main._rp,"Scale",main._scale,"Starter",Debug.moduleToString(b4a.HC05DataLogger.starter.class),"tbtLED",main.mostCurrent._tbtled,"Value",main._value,"x0",main._x0,"x1",main._x1,"XStep",main._xstep,"y0",main._y0,"y1",main._y1};
}
}